---
identifier: "OSVDB-132800"
package_slug: "gem/auto_select2"
title: "Arbitrary search execution"
description: "The gem contains a flaw that is triggered when handling the
  `params[:default_class_name]` option. This allows users to search any object
  of all given ActiveRecord classes."
date: "2016-01-08"
pubdate: "2016-01-08"
affected_range: "<0.5.0"
fixed_versions:
- "0.5.0"
affected_versions: "All versions before 0.5.0"
solution: "Upgrade to latest version."
urls:
- "https://github.com/Loriowar/auto_select2/issues/4"
credit: "Boris Kocherov"
uuid: "2a5ff8ae-4a65-470e-bfa9-35c07a5130e7"
